package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 标准化管理对象 sur_project_standard
 *
 * @author ruoyi
 * @date 2023-09-19
 */
public class SurProjectStandard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long projectId;

    /** 总包单位 */
    @Excel(name = "总包单位")
    private Long deptId;

    /** 图片路径 */
    @Excel(name = "图片路径")
    private String imageFile;

    /** 图片描述 */
    @Excel(name = "图片描述")
    private String standardDesc;

    /** 排序 */
    @Excel(name = "排序")
    private Long ord;

    /** 类型1、现场管理标准化2、作业标准化3、安全技术标准化4、设备管理标准化5、文明施工标准化6、环境保护标准化 */
    @Excel(name = "类型1、现场管理标准化2、作业标准化3、安全技术标准化4、设备管理标准化5、文明施工标准化6、环境保护标准化")
    private String standardType;

    /**  */
    @Excel(name = "")
    private Long isDel;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId()
    {
        return projectId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setImageFile(String imageFile)
    {
        this.imageFile = imageFile;
    }

    public String getImageFile()
    {
        return imageFile;
    }
    public void setStandardDesc(String standardDesc)
    {
        this.standardDesc = standardDesc;
    }

    public String getStandardDesc()
    {
        return standardDesc;
    }
    public void setOrd(Long ord)
    {
        this.ord = ord;
    }

    public Long getOrd()
    {
        return ord;
    }
    public void setStandardType(String standardType)
    {
        this.standardType = standardType;
    }

    public String getStandardType()
    {
        return standardType;
    }
    public void setIsDel(Long isDel)
    {
        this.isDel = isDel;
    }

    public Long getIsDel()
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("projectId", getProjectId())
                .append("deptId", getDeptId())
                .append("imageFile", getImageFile())
                .append("standardDesc", getStandardDesc())
                .append("ord", getOrd())
                .append("standardType", getStandardType())
                .append("isDel", getIsDel())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
